%define _unpackaged_files_terminate_build 0%{nil}

%define __find_provides %{nil}
%define	with_python_subpackage	1%{nil}
%define	with_python_version_22	2.2%{nil}
%define	with_python_version_23	2.3%{nil}
%define	with_python_version_24	2.4%{nil}
%define	with_bzip2		0%{nil}
%define	with_apidocs		0%{nil}

# XXX legacy requires './' payload prefix to be omitted from rpm packages.
%define	_noPayloadPrefix	1

%ifarch i386 i486 i586 i686 athlon
%define vzrpm_name	vzrpm43
%endif

%ifarch ia64
%define vzrpm_name	vzrpm43i64
%endif

%ifarch amd64 x86_64 ia32e
%define vzrpm_name	vzrpm43x64
%endif

%define	__prefix	/usr/share/vzpkgtools/%{vzrpm_name}

%{?!_lib: %define _lib lib}
%{expand: %%define __share %(if [ -d %{__prefix}/share/man ]; then echo /share ; else echo %%{nil} ; fi)}

%define __bindir	%{__prefix}/bin
%define __includedir	%{__prefix}/include
%define __libdir	%{__prefix}/%{_lib}
%define __mandir	%{__prefix}%{__share}/man

Summary: The RPM package management system.
Name: %{vzrpm_name}
%define version 4.3.3
Version: %{version}
%{expand: %%define rpm_version %{version}}
Release: 7_nonptl.6
Group: System Environment/Base
Source0: ftp://ftp.rpm.org/pub/rpm/dist/rpm-4.0.x/rpm-%{rpm_version}.tar.gz
Patch0: ld_assume_kernel_bypass_rhel4.patch
Patch1: rpm-sparse.patch
Patch2: rpm-ldconfig.patch
Patch3: rpm-execcon.patch

# VZRPM-specific patches
Patch99:   rpm-4.3.3-omit-nss.swsoft.patch
Patch102:  rpm-4.3-vzctl.patch
# fixdup seems to be already corrected in plain 4.3.3
# Patch103:  rpm-fixdup.patch
Patch104: rpm-4.3.3-all-static.patch

# 4.3.3 already knows about ia32e
# Patch104:  rpm-4.2.1-ia32e.patch

# Force --promoteepoch option and create --nopromoteepoch one
Patch111:  rpm-4.2.1-promoteepoch.patch
# Fix rpm-python to return correct exit code for RPM transaction
# We need it for YUM functionality
Patch120: rpm-4.2.1-python_rpmts.patch

Patch505:  rpm-4.3-fsm-magic.patch

Patch2000: rpm-4.3.3-debugtools.swsoft.patch
Patch2001: rpm-4.3.3-python-static.swsoft.patch
Patch2002: rpm-4.4.1-macros-path.swsoft.patch
Patch2003: rpm-4.3.3-lock-in-root.swsoft.patch

License: GPL
Conflicts: patch < 2.5
%ifos linux
Prereq: fileutils
# shadow-utils
%endif
#Requires: popt = 1.9.1
#Obsoletes: rpm-perl < %{version}

# XXX necessary only to drag in /usr/lib/libelf.a, otherwise internal elfutils.
BuildRequires: elfutils-libelf
BuildRequires: elfutils-devel
BuildRequires: nptl-devel
BuildRequires: zlib-devel

BuildRequires: beecrypt-devel >= 3.0.1
#Requires: beecrypt >= 3.0.1

# XXX Red Hat 5.2 has not bzip2 or python
%if %{with_bzip2}
BuildRequires: bzip2 >= 0.9.0c-2
%endif
%if %{with_python_subpackage}
BuildRequires: python-devel >= %{with_python_version}
%endif

BuildRoot: %{_tmppath}/%{name}-root

%description
The RPM Package Manager (RPM) is a powerful command line driven
package management system capable of installing, uninstalling,
verifying, querying, and updating software packages. Each software
package consists of an archive of files along with information about
the package like its version, a description, etc.

This version has been modified to be used in OpenVZ package tools.

#%package libs
#Summary:  Libraries for manipulating RPM packages.
#Group: Development/Libraries

#%description libs
#This package contains the RPM shared libraries.

#%package devel
#Summary:  Development files for manipulating RPM packages.
#Group: Development/Libraries
#Requires: rpm = %{rpm_version}-%{release}

#%description devel
#This package contains the RPM C library and header files. These
#development files will simplify the process of writing programs that
#manipulate RPM packages and databases. These files are intended to
#simplify the process of creating graphical package managers or any
#other tools that need an intimate knowledge of RPM packages in order
#to function.

#This package should be installed if you want to develop programs that
#will manipulate RPM packages and databases.

#%package build
#Summary: Scripts and executable programs used to build packages.
#Group: Development/Tools
#Requires: rpm = %{rpm_version}-%{release}, patch >= 2.5, file
#Provides: rpmbuild(VendorConfig) = 4.1-1

#%description build
#The rpm-build package contains the scripts and executable programs
#that are used to build packages using the RPM Package Manager.

%if %{with_python_subpackage}
%package python
Summary: Python bindings for apps which will manipulate RPM packages.
Group: Development/Libraries
#Requires: %{vzrpm_name} = %{rpm_version}-%{release}
Requires: python >= %{with_python_version}
#Requires: elfutils-libelf >= 0.55

%description python
The rpm-python package contains a module that permits applications
written in the Python programming language to use the interface
supplied by RPM Package Manager libraries.

This package should be installed if you want to develop Python
programs that will manipulate RPM packages and databases.
%endif

#%package -n popt
#Summary: A C library for parsing command line parameters.
#Group: Development/Libraries
#Version: 1.9.1

#%description -n popt
#Popt is a C library for parsing command line parameters. Popt was
#heavily influenced by the getopt() and getopt_long() functions, but it
#improves on them by allowing more powerful argument expansion. Popt
#can parse arbitrary argv[] style arrays and automatically set
#variables based on command line arguments. Popt allows command line
#arguments to be aliased via configuration files and includes utility
#functions for parsing arbitrary strings into argv[] arrays using
#shell-like rules.

%prep
%setup -q -n rpm-%{rpm_version}
%patch0 -p1 -b .nonptl
%patch1 -p0 -b .sparse
%patch2 -p0 -b .ldconfig
%patch3 -p1 -b .execcon

%patch99 -p1 -b .nss
%patch102 -p1 -b .vzctl

%patch104 -p1 -b .static

%patch111 -p1 -b .promoteepoch

## %patch502 -p1 -b .elfseek

## %patch504 -p1 -b .suse
%patch505 -p1 -b .fsmmagic
## %patch506 -p1 -b .libpthread

%patch2000 -p1
%patch2001 -p1
%patch2002 -p1
%patch2003 -p1


%build

# XXX rpm needs functioning nptl for configure tests
unset LD_ASSUME_KERNEL || :


alternatives --set py24 /usr/bin/python.23
%if %{with_python_subpackage}
WITH_PYTHON="--with-python=%{with_python_version_23}"
%else
WITH_PYTHON="--without-python"
%endif

%ifos linux
CFLAGS="$RPM_OPT_FLAGS"; export CFLAGS
./configure --prefix=%{__prefix} --sysconfdir=/etc \
	--localstatedir=/var --infodir='${prefix}%{__share}/info' \
	--mandir='${prefix}%{__share}/man' --enable-static --disable-shared\
	$WITH_PYTHON --enable-posixmutexes --without-javaglue --without-libelf
%else
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{__prefix} $WITH_PYTHON \
	--without-javaglue
%endif

make %{_smp_mflags} python/Makefile

rm -rf /var/tmp/pythoniac-2.3

mkdir /var/tmp/pythoniac-2.3
cp -r python /var/tmp/pythoniac-2.3
# # cd python 
make clean
# # cd ..

alternatives --set py24 /usr/bin/python.24
%if %{with_python_subpackage}
WITH_PYTHON="--with-python=%{with_python_version_24}"
%else
WITH_PYTHON="--without-python"
%endif

%ifos linux
CFLAGS="$RPM_OPT_FLAGS"; export CFLAGS
./configure --prefix=%{__prefix} --sysconfdir=/etc \
	--localstatedir=/var --infodir='${prefix}%{__share}/info' \
	--mandir='${prefix}%{__share}/man' --enable-static --disable-shared\
	$WITH_PYTHON --enable-posixmutexes --without-javaglue --without-libelf
%else
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{__prefix} $WITH_PYTHON \
	--without-javaglue
%endif

make %{_smp_mflags} python/Makefile

rm -rf /var/tmp/pythoniac-2.4

mkdir /var/tmp/pythoniac-2.4
cp -r python /var/tmp/pythoniac-2.4

# # cd python
make clean
# # cd ..

alternatives --set py24 /usr/bin/python.22
%if %{with_python_subpackage}
WITH_PYTHON="--with-python=%{with_python_version_22}"
%else
WITH_PYTHON="--without-python"
%endif

%ifos linux
CFLAGS="$RPM_OPT_FLAGS"; export CFLAGS
./configure --prefix=%{__prefix} --sysconfdir=/etc \
        --localstatedir=/var --infodir='${prefix}%{__share}/info' \
        --mandir='${prefix}%{__share}/man' --enable-static --disable-shared\
        $WITH_PYTHON --enable-posixmutexes --without-javaglue --without-libelf
%else
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{__prefix} $WITH_PYTHON \
        --without-javaglue
%endif


 make %{_smp_mflags}
 rm -rf /var/tmp/pythoniac-2.2
 mkdir /var/tmp/pythoniac-2.2
 cp -r python /var/tmp/pythoniac-2.2




%install
# XXX rpm needs functioning nptl for configure tests
unset LD_ASSUME_KERNEL || :

rm -rf $RPM_BUILD_ROOT

## #make DESTDIR="$RPM_BUILD_ROOT" install


PPATH_22="%{__prefix}/lib/python%{with_python_version_22}"
mkdir -p ${RPM_BUILD_ROOT}/$PPATH_22

PPATH_23="%{__prefix}/lib/python%{with_python_version_23}"
mkdir -p ${RPM_BUILD_ROOT}/$PPATH_23

PPATH_24="%{__prefix}/lib/python%{with_python_version_24}"
mkdir -p ${RPM_BUILD_ROOT}/$PPATH_24
## pylibdir = $(shell python -c 'import sys; print sys.path[2]') 
## see rpm-4.3.3/python/rpmdb/Makefile
## PYTHONPATH=/var/tmp:${PPATH_24} make DESTDIR="$RPM_BUILD_ROOT" install
rm -rf python
mv -f /var/tmp/pythoniac-2.2/* .
PYTHONPATH=/var/tmp:${PPATH_22} make DESTDIR="$RPM_BUILD_ROOT" install

rm -rf python
mv -f /var/tmp/pythoniac-2.3/* .
PYTHONPATH=/var/tmp:${PPATH_23} make DESTDIR="$RPM_BUILD_ROOT" install

rm -rf python
mv -f /var/tmp/pythoniac-2.4/* .
PYTHONPATH=/var/tmp:${PPATH_24} make DESTDIR="$RPM_BUILD_ROOT" install

%ifos linux

# Save list of packages through cron
## mkdir -p ${RPM_BUILD_ROOT}/etc/cron.daily
## install -m 755 scripts/rpm.daily ${RPM_BUILD_ROOT}/etc/cron.daily/rpm

## mkdir -p ${RPM_BUILD_ROOT}/etc/logrotate.d
## install -m 644 scripts/rpm.log ${RPM_BUILD_ROOT}/etc/logrotate.d/rpm

mkdir -p $RPM_BUILD_ROOT/etc/rpm

mkdir -p $RPM_BUILD_ROOT/var/spool/repackage
mkdir -p $RPM_BUILD_ROOT/var/lib/rpm
#for dbi in \
#	Basenames Conflictname Dirnames Group Installtid Name Packages \
#	Providename Provideversion Requirename Requireversion Triggername \
#	Filemd5s Pubkeys Sha1header Sigmd5 \
#	__db.001 __db.002 __db.003 __db.004 __db.005 __db.006 __db.007 \
#	__db.008 __db.009
#do
#    touch $RPM_BUILD_ROOT/var/lib/rpm/$dbi
#done

# - serialize rpmtsRun() using fcntl on /var/lock/rpm/transaction.
mkdir -p ${RPM_BUILD_ROOT}/var/lock/rpm
%endif

%if %{with_apidocs}
gzip -9n apidocs/man/man*/* || :
%endif

# Get rid of unpackaged files
{ cd $RPM_BUILD_ROOT
  rm -rf .%{__includedir}/beecrypt
  rm -f .%{__libdir}/libbeecrypt.{a,la,so.2.2.0}
  rm -f .%{__prefix}/lib/rpm/{Specfile.pm,cpanflute,cpanflute2,rpmdiff,rpmdiff.cgi,sql.prov,sql.req,tcl.req}
  rm -rf .%{__mandir}/{fr,ko}
}

%clean
# # rm -rf $RPM_BUILD_ROOT

%define	rpmattr		%attr(0755, rpm, rpm)

%files
%defattr(-,root,root)
#%doc RPM-PGP-KEY RPM-GPG-KEY BETA-GPG-KEY CHANGES GROUPS doc/manual/[a-z]*
# XXX comment these lines out if building with rpm that knows not %pubkey attr
%pubkey RPM-PGP-KEY
%pubkey RPM-GPG-KEY
%pubkey BETA-GPG-KEY
%attr(0755, rpm, rpm)	%{__prefix}/bin/rpm

#%ifos linux
#%config(noreplace,missingok)	/etc/cron.daily/rpm
#%config(noreplace,missingok)	/etc/logrotate.d/rpm
#%dir				/etc/rpm
#%config(noreplace,missingok)	/etc/rpm/macros.*
#%attr(0755, rpm, rpm)	%dir /var/lib/rpm
#%attr(0755, rpm, rpm)	%dir /var/spool/repackage
#%attr(0755, rpm, rpm)	%dir /var/lock/rpm

#%define	rpmdbattr %attr(0644, rpm, rpm) %verify(not md5 size mtime) %ghost %config(missingok,noreplace)
#%rpmdbattr	/var/lib/rpm/*
#%endif

%rpmattr	%{__bindir}/rpm2cpio
%rpmattr	%{__bindir}/gendiff
%rpmattr	%{__bindir}/rpmdb
#%rpmattr	%{__bindir}/rpm[eiu]
%rpmattr	%{__bindir}/rpmsign
%rpmattr	%{__bindir}/rpmquery
%rpmattr	%{__bindir}/rpmverify

%attr(0755, rpm, rpm)	%dir %{__prefix}/lib/rpm
%rpmattr	%{__prefix}/lib/rpm/config.guess
%rpmattr	%{__prefix}/lib/rpm/config.sub
%rpmattr	%{__prefix}/lib/rpm/convertrpmrc.sh
%rpmattr	%{__prefix}/lib/rpm/freshen.sh
%attr(0644, rpm, rpm)	%{__prefix}/lib/rpm/macros
%rpmattr	%{__prefix}/lib/rpm/mkinstalldirs
%rpmattr	%{__prefix}/lib/rpm/rpm.*
%rpmattr	%{__prefix}/lib/rpm/rpm2cpio.sh
%rpmattr	%{__prefix}/lib/rpm/rpm[deiukqv]
%rpmattr	%{__prefix}/lib/rpm/tgpg
%attr(0644, rpm, rpm)	%{__prefix}/lib/rpm/rpmpopt*
%attr(0644, rpm, rpm)	%{__prefix}/lib/rpm/rpmrc

%ifarch i386 i486 i586 i686 athlon
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/i[3456]86*
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/athlon*
%endif
%ifarch alpha alphaev5 alphaev56 alphapca56 alphaev6 alphaev67
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/alpha*
%endif
%ifarch sparc sparcv8 sparcv9 sparc64
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/sparc*
%endif
%ifarch ia64
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/ia64*
%endif
%ifarch powerpc ppc ppciseries ppcpseries ppcmac ppc64
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/ppc*
%endif
%ifarch s390 s390x
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/s390*
%endif
%ifarch armv3l armv4l
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/armv[34][lb]*
%endif
%ifarch mips mipsel
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/mips*
%endif
%ifarch x86_64
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/x86_64*
%endif
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/noarch*

#%rpmattr	%{__prefix}/lib/rpm/rpmdb_deadlock
#%rpmattr	%{__prefix}/lib/rpm/rpmdb_dump
#%rpmattr	%{__prefix}/lib/rpm/rpmdb_load
#%rpmattr	%{__prefix}/lib/rpm/rpmdb_loadcvt
#%rpmattr	%{__prefix}/lib/rpm/rpmdb_svc
#%rpmattr	%{__prefix}/lib/rpm/rpmdb_stat
#%rpmattr	%{__prefix}/lib/rpm/rpmdb_verify
#%rpmattr	%{__prefix}/lib/rpm/rpmfile

#%lang(cs)	%{__prefix}/*/locale/cs/LC_MESSAGES/rpm.mo
#%lang(da)	%{__prefix}/*/locale/da/LC_MESSAGES/rpm.mo
#%lang(de)	%{__prefix}/*/locale/de/LC_MESSAGES/rpm.mo
#%lang(fi)	%{__prefix}/*/locale/fi/LC_MESSAGES/rpm.mo
#%lang(fr)	%{__prefix}/*/locale/fr/LC_MESSAGES/rpm.mo
#%lang(gl)	%{__prefix}/*/locale/gl/LC_MESSAGES/rpm.mo
#%lang(is)	%{__prefix}/*/locale/is/LC_MESSAGES/rpm.mo
#%lang(ja)	%{__prefix}/*/locale/ja/LC_MESSAGES/rpm.mo
#%lang(ko)	%{__prefix}/*/locale/ko/LC_MESSAGES/rpm.mo
#%lang(no)	%{__prefix}/*/locale/no/LC_MESSAGES/rpm.mo
#%lang(pl)	%{__prefix}/*/locale/pl/LC_MESSAGES/rpm.mo
#%lang(pt)	%{__prefix}/*/locale/pt/LC_MESSAGES/rpm.mo
#%lang(pt_BR)	%{__prefix}/*/locale/pt_BR/LC_MESSAGES/rpm.mo
#%lang(ro)	%{__prefix}/*/locale/ro/LC_MESSAGES/rpm.mo
#%lang(ru)	%{__prefix}/*/locale/ru/LC_MESSAGES/rpm.mo
#%lang(sk)	%{__prefix}/*/locale/sk/LC_MESSAGES/rpm.mo
#%lang(sl)	%{__prefix}/*/locale/sl/LC_MESSAGES/rpm.mo
#%lang(sr)	%{__prefix}/*/locale/sr/LC_MESSAGES/rpm.mo
#%lang(sv)	%{__prefix}/*/locale/sv/LC_MESSAGES/rpm.mo
#%lang(tr)	%{__prefix}/*/locale/tr/LC_MESSAGES/rpm.mo

%{__mandir}/man1/gendiff.1*
%{__mandir}/man8/rpm.8*
%{__mandir}/man8/rpm2cpio.8*
#%lang(ja)	%{__mandir}/ja/man[18]/*.[18]*
#%lang(pl)	%{__mandir}/pl/man[18]/*.[18]*
#%lang(ru)	%{__mandir}/ru/man[18]/*.[18]*
#%lang(sk)	%{__mandir}/sk/man[18]/*.[18]*

#%files libs
#%defattr(-,root,root)
#%{__libdir}/librpm-4.3.so
#%{__libdir}/librpmdb-4.3.so
#%{__libdir}/librpmio-4.3.so
#%{__libdir}/librpmbuild-4.3.so

#%files build
#%defattr(-,root,root)
#%dir %{__prefix}/src/redhat
#%dir %{__prefix}/src/redhat/BUILD
#%dir %{__prefix}/src/redhat/SPECS
#%dir %{__prefix}/src/redhat/SOURCES
#%dir %{__prefix}/src/redhat/SRPMS
#%dir %{__prefix}/src/redhat/RPMS
#%{__prefix}/src/redhat/RPMS/*
#%rpmattr	%{__bindir}/rpmbuild
#%rpmattr	%{__prefix}/lib/rpm/brp-*
#%rpmattr	%{__prefix}/lib/rpm/check-files
#%rpmattr	%{__prefix}/lib/rpm/check-prereqs
#%rpmattr	%{__prefix}/lib/rpm/config.site
#%rpmattr	%{__prefix}/lib/rpm/cross-build
#%rpmattr	%{__prefix}/lib/rpm/debugedit
#%rpmattr	%{__prefix}/lib/rpm/find-debuginfo.sh
#%rpmattr	%{__prefix}/lib/rpm/find-lang.sh
#%rpmattr	%{__prefix}/lib/rpm/find-prov.pl
#%rpmattr	%{__prefix}/lib/rpm/find-provides
#%rpmattr	%{__prefix}/lib/rpm/find-provides.perl
#%rpmattr	%{__prefix}/lib/rpm/find-req.pl
#%rpmattr	%{__prefix}/lib/rpm/find-requires
#%rpmattr	%{__prefix}/lib/rpm/find-requires.perl
#%rpmattr	%{__prefix}/lib/rpm/get_magic.pl
#%rpmattr	%{__prefix}/lib/rpm/getpo.sh
#%rpmattr	%{__prefix}/lib/rpm/http.req
#%rpmattr	%{__prefix}/lib/rpm/javadeps
#%rpmattr	%{__prefix}/lib/rpm/magic
#%rpmattr	%{__prefix}/lib/rpm/magic.mgc
#%rpmattr	%{__prefix}/lib/rpm/magic.mime
#%rpmattr	%{__prefix}/lib/rpm/magic.mime.mgc
#%rpmattr	%{__prefix}/lib/rpm/magic.prov
#%rpmattr	%{__prefix}/lib/rpm/magic.req
#%rpmattr	%{__prefix}/lib/rpm/perldeps.pl
#%rpmattr	%{__prefix}/lib/rpm/perl.prov
#%rpmattr	%{__prefix}/lib/rpm/perl.req

#%rpmattr	%{__prefix}/lib/rpm/rpm[bt]
#%rpmattr	%{__prefix}/lib/rpm/rpmdeps
#%rpmattr	%{__prefix}/lib/rpm/trpm
#%rpmattr	%{__prefix}/lib/rpm/u_pkg.sh
#%rpmattr	%{__prefix}/lib/rpm/vpkg-provides.sh
#%rpmattr	%{__prefix}/lib/rpm/vpkg-provides2.sh

#%{__mandir}/man8/rpmbuild.8*
#%{__mandir}/man8/rpmdeps.8*

%if %{with_python_subpackage}
%files python
%defattr(-,root,root)
#%{__libdir}/python%{with_python_version}/site-packages/rpmmodule.so
#%{__libdir}/python%{with_python_version}/site-packages/rpmdb
%{__prefix}/lib/python%{with_python_version_22}/site-packages/rpmmodule.so
%{__prefix}/lib/python%{with_python_version_22}/site-packages/rpmdb
%{__prefix}/lib/python%{with_python_version_23}/site-packages/rpmmodule.so
%{__prefix}/lib/python%{with_python_version_23}/site-packages/rpmdb
%{__prefix}/lib/python%{with_python_version_24}/site-packages/rpmmodule.so
%{__prefix}/lib/python%{with_python_version_24}/site-packages/rpmdb
%endif

#%files devel
#%defattr(-,root,root)
#%if %{with_apidocs}
#%doc apidocs
#%endif
#%{__includedir}/rpm
#%{__libdir}/librpm.a
#%{__libdir}/librpm.la
#%{__libdir}/librpm.so
#%{__libdir}/librpmdb.a
#%{__libdir}/librpmdb.la
#%{__libdir}/librpmdb.so
#%{__libdir}/librpmio.a
#%{__libdir}/librpmio.la
#%{__libdir}/librpmio.so
#%{__libdir}/librpmbuild.a
#%{__libdir}/librpmbuild.la
#%{__libdir}/librpmbuild.so
#%{__mandir}/man8/rpmcache.8*
#%{__mandir}/man8/rpmgraph.8*
#%rpmattr	%{__prefix}/lib/rpm/rpmcache
#%rpmattr	%{__bindir}/rpmgraph

#%files -n popt
#%defattr(-,root,root)
#%{__libdir}/libpopt.so.*
#%{__mandir}/man3/popt.3*
#%lang(cs)	%{__prefix}/*/locale/cs/LC_MESSAGES/popt.mo
#%lang(da)	%{__prefix}/*/locale/da/LC_MESSAGES/popt.mo
#%lang(de)	%{__prefix}/*/locale/de/LC_MESSAGES/popt.mo
#%lang(es)	%{__prefix}/*/locale/es/LC_MESSAGES/popt.mo
#%lang(eu_ES)	%{__prefix}/*/locale/eu_ES/LC_MESSAGES/popt.mo
#%lang(fi)	%{__prefix}/*/locale/fi/LC_MESSAGES/popt.mo
#%lang(fr)	%{__prefix}/*/locale/fr/LC_MESSAGES/popt.mo
#%lang(gl)	%{__prefix}/*/locale/gl/LC_MESSAGES/popt.mo
#%lang(hu)	%{__prefix}/*/locale/hu/LC_MESSAGES/popt.mo
#%lang(id)	%{__prefix}/*/locale/id/LC_MESSAGES/popt.mo
#%lang(is)	%{__prefix}/*/locale/is/LC_MESSAGES/popt.mo
#%lang(it)	%{__prefix}/*/locale/it/LC_MESSAGES/popt.mo
#%lang(ja)	%{__prefix}/*/locale/ja/LC_MESSAGES/popt.mo
#%lang(ko)	%{__prefix}/*/locale/ko/LC_MESSAGES/popt.mo
#%lang(no)	%{__prefix}/*/locale/no/LC_MESSAGES/popt.mo
#%lang(pl)	%{__prefix}/*/locale/pl/LC_MESSAGES/popt.mo
#%lang(pt)	%{__prefix}/*/locale/pt/LC_MESSAGES/popt.mo
#%lang(pt_BR)	%{__prefix}/*/locale/pt_BR/LC_MESSAGES/popt.mo
#%lang(ro)	%{__prefix}/*/locale/ro/LC_MESSAGES/popt.mo
#%lang(ru)	%{__prefix}/*/locale/ru/LC_MESSAGES/popt.mo
#%lang(sk)	%{__prefix}/*/locale/sk/LC_MESSAGES/popt.mo
#%lang(sl)	%{__prefix}/*/locale/sl/LC_MESSAGES/popt.mo
#%lang(sr)	%{__prefix}/*/locale/sr/LC_MESSAGES/popt.mo
#%lang(sv)	%{__prefix}/*/locale/sv/LC_MESSAGES/popt.mo
#%lang(tr)	%{__prefix}/*/locale/tr/LC_MESSAGES/popt.mo
#%lang(uk)	%{__prefix}/*/locale/uk/LC_MESSAGES/popt.mo
#%lang(wa)	%{__prefix}/*/locale/wa/LC_MESSAGES/popt.mo
#%lang(zh)	%{__prefix}/*/locale/zh/LC_MESSAGES/popt.mo
#%lang(zh_CN)	%{__prefix}/*/locale/zh_CN.GB2312/LC_MESSAGES/popt.mo

# XXX These may end up in popt-devel but it hardly seems worth the effort.
#%{__libdir}/libpopt.a
#%{__libdir}/libpopt.la
#%{__libdir}/libpopt.so
#%{__includedir}/popt.h

%changelog
* Fri Oct 14 2005 <bkb.sw.ru> 4.3.3-7_nonptl.6
- vzrpm scans /etc/passwd and /etc/group instead 
  of using nsswitch mechanism

* Thu Sep 29 2005 Kir Kolyshkin <kir@sw.ru> 4.3.3-7_nonptl.5
- fixed to build against nptl-enabled libpthread (/usr/lib/nptl)

* Wed Sep 28 2005 Kir Kolyshkin <kir@sw.ru> 4.3.3-7_nonptl.4.swsoft
- added patch to create transaction lock file in --root

* Thu Sep 15 2005 <unown.sw.ru> 4.3.3-7_nonptl.3.swsoft
- three python support added

* Mon Aug 29 2005 <bkb.sw.ru> 4.3.3-7_nonptl.1.swsoft
- VZ patched, statically linked, with vzrpm43-python

* Mon Dec  6 2004 Jeff Johnson <jbj@redhat.com> 4.3.3-7_nonptl
- refix: avoid computing md5 digest on sparse /var/log/lastlog file (#139539).

* Mon Nov 29 2004 Jeff Johnson <jbj@redhat.com> 4.3.3-6_nonptl
- move rpm_execcon after restoring LD_ASSUME_KERNEL envvar (#129334).

* Tue Nov 23 2004 Jeff Johnson <jbj@redhat.com> 4.3.3-5_nonptl
- fix: avoid computing md5 digest on sparse /var/log/lastlog file.
- fix: do not optimize /sbin/ldconfig execution, always run (#139233).

* Thu Nov 18 2004 Jeff Johnson <jbj@redhat.com> 4.3.3-4_nonptl
- avoid database corruption from LD_ASSUME_KERNEL=2.4.19 usage (#129334).

* Wed Nov 10 2004 Jeff Johnson <jbj@jbj.org>
- bump micro version.
- make peace with libtool-1.5.10 and automake-1.9.3.
- python: add python 2.4 support.
- selinux: use rpm_execcon, not execv, to run scriptlets (#136848).
- fix: segfault on --verifydb (#138589).

* Mon Nov  8 2004 Jeremy Katz <katzj@redhat.com> - 4.3.2-23
- PyDictIter_Type is no more

* Mon Nov  8 2004 Jeremy Katz <katzj@redhat.com> - 4.3.2-22
- rebuild for python 2.4

* Mon Nov  1 2004 Bill Nottingham <notting@redhat.com> 4.3.2-21
- remove excess rpmIncreaseVerbosity() calls (fixes #137834)
